unit SplitUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TSplitForm = class(TForm)
    Label1: TLabel;
    DateEdit: TDateTimePicker;
    Label2: TLabel;
    NameEdit: TEdit;
    btnOK: TButton;
    btnCancel: TButton;
    procedure FormShow(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SplitForm: TSplitForm;

implementation

{$R *.dfm}

procedure TSplitForm.FormShow(Sender: TObject);
var
  y, m, d: Word;
begin
  // Default to the last day of last year
  DecodeDate(Date, y, m, d);
  DateEdit.Date := EncodeDate(y - 1, 12, 31);
  NameEdit.Text := IntToStr(y);
end;

procedure TSplitForm.btnOKClick(Sender: TObject);
begin
  NameEdit.Text := Trim(NameEdit.Text);
  if (DateEdit.Date > 0) and (NameEdit.Text <> '') then
    ModalResult := mrOK;
end;

end.
