unit Welcome;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, llMsgDlg;

type
  TWelcomeForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
    BalanceEdit: TEdit;
    DateEdit: TDateTimePicker;
    DescEdit: TEdit;
    FileEdit: TEdit;
    procedure btnOKClick(Sender: TObject);
    procedure BalanceEditExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TWelcomeForm.BalanceEditExit(Sender: TObject);
var
  a: Currency;
begin
  if TryStrToCurr(BalanceEdit.Text, a) then
    BalanceEdit.Text := FormatFloat('0.00', a)
  else
    BalanceEdit.Text := '0.00';
end;

procedure TWelcomeForm.btnOKClick(Sender: TObject);
var
  a: Currency;
begin
  FileEdit.Text := Trim(FileEdit.Text);
  if FileEdit.Text = '' then
    Exit;
  if FileExists(FileEdit.Text) then begin
    MsgInfo('The file you have chosen already exists!', 'New File', Self);
    Exit;
  end;
  TryStrToCurr(BalanceEdit.Text, a);
  if a = 0 then
    if not MsgYesNo('Are you sure you want to start with a zero balance?', 'New File', Self) then
      Exit;
  ModalResult := mrOk;
end;

end.
